package com.ruoyi.zongzhi.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 安全监测受攻击统计对象 tc_sgj_tj
 *
 * @author ruoyi
 * @date 2023-09-13
 */
@Data
public class TcSgjTj extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    private Long id;

    /** 所属镇ID */
    private Long townId;

    /** 所属村ID */
    private Long villageId;

    /**
     * 网络攻击（次）
     */
    @ApiModelProperty(value = "网络攻击")
    @Excel(name = "网络攻击", readConverterExp = "次=")
    private Long totalSum;

    /**
     * 入侵攻击
     */
    @Excel(name = "入侵攻击")
    @ApiModelProperty(value = "入侵攻击")
    private Long rqSum;

    /**
     * 恶意扫描
     */
    @Excel(name = "恶意扫描")
    @ApiModelProperty(value = "恶意扫描")
    private Long eySum;

    /**
     * 僵木蠕病毒
     */
    @Excel(name = "僵木蠕病毒")
    @ApiModelProperty(value = "僵木蠕病毒")
    private Long jmrSum;

    /** 创建人id */
    private Long createId;

    /**
     * 最后更新人id
     */
    private Long updateId;


    /**
     * 使用状态
     */
    @Excel(name = "0:禁用，1：启用")
    @ApiModelProperty(value = "0:禁用，1：启用")
    private Boolean isStatus ;

}
